Index: fittingview/src/sans/perspectives/fitting/fitpage.py
===================================================================
--- fittingview/src/sans/perspectives/fitting/fitpage.py	(revision 0b477f65bc6c810999fdce0cc5c947b1940fdfb4)
+++ fittingview/src/sans/perspectives/fitting/fitpage.py	(revision 075d073f9c8312561b13f669a19c2d1b3628c06c)
@@ -22,6 +22,6 @@
 SMEAR_SIZE_H = 0.00
 
-from basepage import BasicPage
-from basepage import PageInfoEvent
+from sans.perspectives.fitting.basepage import BasicPage as BasicPage
+from sans.perspectives.fitting.basepage import PageInfoEvent as PageInfoEvent
 from sans.models.qsmearing import smear_selection
 
@@ -140,4 +140,5 @@
     def on_select_data(self, event=None):
         """
+        On_select_data
         """
         if event is None and self.dataSource.GetCount() > 0:
@@ -227,5 +228,5 @@
         sizer_smearer_box.SetMinSize((_DATA_BOX_WIDTH, 60))
         
-        weighting_set_box = wx.StaticBox(self, -1,\
+        weighting_set_box = wx.StaticBox(self, -1, \
                                 'Set Weighting by Selecting dI Source')
         weighting_box = wx.StaticBoxSizer(weighting_set_box, wx.HORIZONTAL)
@@ -457,12 +458,12 @@
                                   0, wx.CENTER, 10 )
 
-        self.sizer_new_smear.Add(self.smear_pinhole_max,0, wx.CENTER, 10)
-        self.sizer_new_smear.Add(self.smear_slit_width,0, wx.CENTER, 10)
-        self.sizer_new_smear.Add(self.smear_data_right,0, wx.CENTER, 10)
+        self.sizer_new_smear.Add(self.smear_pinhole_max, 0, wx.CENTER, 10)
+        self.sizer_new_smear.Add(self.smear_slit_width, 0, wx.CENTER, 10)
+        self.sizer_new_smear.Add(self.smear_data_right, 0, wx.CENTER, 10)
            
-        self.sizer_set_smearer.Add(self.smear_message_new_s,0, wx.CENTER, 10)
-        self.sizer_set_smearer.Add(self.smear_message_new_p,0, wx.CENTER, 10)
+        self.sizer_set_smearer.Add(self.smear_message_new_s, 0, wx.CENTER, 10)
+        self.sizer_set_smearer.Add(self.smear_message_new_p, 0, wx.CENTER, 10)
         self.sizer_set_smearer.Add((5, 2))
-        self.sizer_set_smearer.Add(self.sizer_new_smear,0, wx.CENTER, 10)
+        self.sizer_set_smearer.Add(self.sizer_new_smear, 0, wx.CENTER, 10)
         
         # add all to chi2 sizer
@@ -518,5 +519,5 @@
       
         self.reset_qrange.Bind(wx.EVT_BUTTON, self.on_reset_clicked, id=id)
-        self.reset_qrange.SetToolTipString("Reset Q range to the default values")
+        self.reset_qrange.SetToolTipString("Reset Q range to the default")
      
         sizer = wx.GridSizer(2, 4, 2, 6)
@@ -598,10 +599,10 @@
             err_text = ''
         self.text_disp_1 = wx.StaticText(self, -1, err_text)
-        self.sizer4_4.Add(self.text_disp_1, (iy, ix), (1, 1),\
+        self.sizer4_4.Add(self.text_disp_1, (iy, ix), (1, 1), \
                           wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         
         ix += 1
         self.text_disp_min = wx.StaticText(self, -1, 'Min')
-        self.sizer4_4.Add(self.text_disp_min, (iy, ix), (1, 1),\
+        self.sizer4_4.Add(self.text_disp_min, (iy, ix), (1, 1), \
                             wx.EXPAND | wx.ADJUST_MINSIZE, 0)
 
@@ -1159,5 +1160,5 @@
    
             self._manager._on_model_panel(evt=evt)
-            self.mbox_description.SetLabel("Model [ %s ]" % str(self.model.name))
+            self.mbox_description.SetLabel("Model [ %s ]"% str(self.model.name))
             self.mbox_description.SetForegroundColour(wx.BLUE)
             self.state.model = self.model.clone()
@@ -1600,5 +1601,6 @@
             self.onSmear(event=None)
             if self.current_smearer != None:
-                self.current_smearer.set_accuracy(accuracy=self.smear2d_accuracy) 
+                self.current_smearer.set_accuracy(accuracy=\
+                                                  self.smear2d_accuracy) 
         event.Skip()
 
@@ -1661,4 +1663,5 @@
     def _set_smear(self, data):
         """
+        Set_smear
         """
         if data is None:
@@ -2201,5 +2204,6 @@
             # 2D need to set accuracy
             if self._is_2D():
-                self.current_smearer.set_accuracy(accuracy=self.smear2d_accuracy)
+                self.current_smearer.set_accuracy(accuracy=\
+                                                  self.smear2d_accuracy)
 
         if msg != None:
@@ -2211,9 +2215,9 @@
         
         self._manager.set_smearer(smearer=self.current_smearer,
-                                fid=self.data.id,
-                                 qmin=float(self.qmin_x),
-                                 qmax=float(self.qmax_x),
-                                 enable_smearer=not self.disable_smearer.GetValue(),
-                                 uid=self.uid)
+                            fid=self.data.id,
+                            qmin=float(self.qmin_x),
+                            qmax=float(self.qmax_x),
+                            enable_smearer=not self.disable_smearer.GetValue(),
+                            uid=self.uid)
         return msg
         
@@ -2469,8 +2473,8 @@
             if self.current_smearer == None:
                 wx.PostEvent(self._manager.parent,
-                             StatusEvent(status="Data contains no smearing information"))
+                    StatusEvent(status="Data contains no smearing information"))
             else:
                 wx.PostEvent(self._manager.parent,
-                             StatusEvent(status="Data contains smearing information"))
+                    StatusEvent(status="Data contains smearing information"))
 
             self.smear_data_left.Show(True)
@@ -2755,5 +2759,5 @@
         self.cb1.SetValue(True)
         
-        sizer.Add(self.cb1, (iy, ix), (1, 1),\
+        sizer.Add(self.cb1, (iy, ix), (1, 1), \
                              wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 5)
         ix += 1
